<?php
	define('ADMIN_SITE_TITLE','Stakeholders Mapping for Delegations -- Admin');
	
	if(!defined('SITE_TITLE'))
		define('SITE_TITLE', "Stakeholders Mapping for Delegations");

	define('DB_PRE','sh_');
	
	//============================= Environment Check ==================
	
	if(isset($_SERVER["HTTP_HOST"]))
	{
		$envurl = "http://".$_SERVER["HTTP_HOST"]."/";
		$env = preg_match("/localhost/",$envurl);
	}
	if(!defined('LOCAL_VIEW'))
		define('LOCAL_VIEW',true); // set this value to 'true' in case of using local host as the db server and with out enabling INTEL DCM API calls
	if(LOCAL_VIEW)
	{
		error_reporting(E_ALL);
		define('SITE_AT','dev');
		
		if(!defined('DEBUG'))
			define('DEBUG','TRUE');
			
		if(isset($_SERVER['SERVER_NAME']))
			define('SITE_URL','http://'.$_SERVER['SERVER_NAME'].'/');
		else
			define('SITE_URL','http://localhost/shmap-del/');

		define('DB_SERVER','localhost');;// set ip of the server where the Database is hosted	
		define('DB_NAME','thecodep_shmdel_db');		
		define('DB_SERVER_USERNAME','thecodep_shmdel_usr');// set the user for the database
		define('DB_SERVER_PASSWORD','St@ckh01d3rM@pDEL@786@');
		
		define('ALLOWED_REFERRER', 'localhost');
	}
	else
	{
		define('SITE_AT','dev');
		
		if(!defined('DEBUG'))
			define('DEBUG','FALSE');
			
		if(isset($_SERVER['SERVER_NAME']))
			define('SITE_URL','http://'.$_SERVER['SERVER_NAME'].'/');
		else
			define('SITE_URL','http://localhost/shmap-online/');
			
		define('DB_SERVER','__DB_SERVER__');;// set ip of the server where the Database is hosted
		define('DB_SERVER_USERNAME','__DB_USER__');// set the user for the database
		define('DB_SERVER_PASSWORD','__DB_PASS__');// set the password for the database
		define('ALLOWED_REFERRER', 'localhost');// variable used for allowing download from specify refferer
	}	
	//=================================================================	
		
	define("SUCCESS_UPDATE","Record has been updated successfully.");
	define("SUCCESS_UPDATE_PROFILE","Profile has been updated successfully.");
	define("SUCCESS_DELETE","Record has been deleted successfully.");
	define("SUCCESS_LOGOUT","Logged out successfully.");//log out
	define("SUCCESS_CHANGE_PASS","Password changed successfully.");//change Password
	define("SUCCESS_PASS_SENT","Password has been sent to the provided E-mail.");//change Password
	
	define("ERROR_DBCONNECT","Error in Database Connection. Please contact your network administrator.");
	define("ERROR_UNIQUE","Record already exist.");
	define("ERROR_UNIQUE_EMAIL","User with same e-mail id already exist.");
	define("ERROR_UNKNOWN","Unknown error.");
	define("ERROR_INVALID_USERNAME","Invalid Username or Password.");//login
	define("ERROR_INVALID_OLD_PASS","Invalid Old Password."); //change Password
	define("ERROR_INVALID_EMAIL_ADDRESS","Provided E-mail not found in our database."); //Forgot Password
	define("ERROR_UNABLE_CHANGE_PASS","Unable to change Password at this time. Please try later.");//change [assword
	define("ERROR_NO_RECORD_FOUND","No record found.");
	define("ERROR_LOGIN_TO_ACC","Please Login to access secure area.");
	define("ERROR_FORGOT_EMAIL","Please provide an email address for password recovery.");
	define("ERROR_LOGOUT","Logout successfully.");
	define("ERROR_CHANGE_PASS","Password changed successfully.");
?>